OpenNMS API 1.2.9

## org.opennms.netmgt.config.filter
Class Table

    java.lang.Object
      org.opennms.netmgt.config.filter.Table

All Implemented Interfaces:
  java.io.Serializable

public class Table
extends java.lang.Object
implements java.io.Serializable

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private java.util.ArrayList` `_columnList`
`private java.util.ArrayList` `_joinList`
`private java.lang.String` `_key`
`private java.lang.String` `_name`
`private java.lang.String` `_visable`
`private java.util.Vector` `propertyChangeListeners`

Constructor Summary
`Table()`

Method Summary
`void` `addColumn(Column vColumn)`
`void` `addColumn(int index, Column vColumn)`
`void` `addJoin(int index, Join vJoin)`
`void` `addJoin(Join vJoin)`
`void` `addPropertyChangeListener(java.beans.PropertyChangeListener pcl)` Registers a PropertyChangeListener with this class.
`void` `clearColumn()`
`void` `clearJoin()`
`java.util.Enumeration` `enumerateColumn()`
`java.util.Enumeration` `enumerateJoin()`
`boolean` `equals(java.lang.Object obj)` Note: hashCode() has not been overriden
`Column[]` `getColumn()`
`Column` `getColumn(int index)`
`java.util.Collection` `getColumnCollection()`
`int` `getColumnCount()`
`Join[]` `getJoin()`
`Join` `getJoin(int index)`
`java.util.Collection` `getJoinCollection()`
`int` `getJoinCount()`
`java.lang.String` `getKey()` Returns the value of field 'key'.
`java.lang.String` `getName()` Returns the value of field 'name'.
`java.lang.String` `getVisable()` Returns the value of field 'visable'.
`boolean` `isValid()`
`void` `marshal(org.xml.sax.DocumentHandler handler)`
`void` `marshal(java.io.Writer out)`
`protected void` `notifyPropertyChangeListeners(java.lang.String fieldName, java.lang.Object oldValue, java.lang.Object newValue)` Notifies all registered PropertyChangeListeners when a bound property's value changes.
`boolean` `removeColumn(Column vColumn)`
`boolean` `removeJoin(Join vJoin)`
`boolean` `removePropertyChangeListener(java.beans.PropertyChangeListener pcl)` Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.
`void` `setColumn(Column[] columnArray)`
`void` `setColumn(int index, Column vColumn)`
`void` `setColumnCollection(java.util.Collection vColumn)`
`void` `setJoin(int index, Join vJoin)`
`void` `setJoin(Join[] joinArray)`
`void` `setJoinCollection(java.util.Collection vJoin)`
`void` `setKey(java.lang.String key)` Sets the value of field 'key'.
`void` `setName(java.lang.String name)` Sets the value of field 'name'.
`void` `setVisable(java.lang.String visable)` Sets the value of field 'visable'.
`static Table` `unmarshal(java.io.Reader reader)`
`void` `validate()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _visable

    private java.lang.String _visable

### _name

    private java.lang.String _name

### _key

    private java.lang.String _key

### _columnList

    private java.util.ArrayList _columnList

### _joinList

    private java.util.ArrayList _joinList

### propertyChangeListeners

    private java.util.Vector propertyChangeListeners

Constructor Detail

### Table

    public Table()

Method Detail

### addColumn

    public void addColumn(Column vColumn)
                   throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vColumn` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addColumn

    public void addColumn(int index,
                          Column vColumn)
                   throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vColumn` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addJoin

    public void addJoin(Join vJoin)
                 throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vJoin` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addJoin

    public void addJoin(int index,
                        Join vJoin)
                 throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vJoin` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Registers a PropertyChangeListener with this class.

  Parameters:
    `pcl` - The PropertyChangeListener to register.

### clearColumn

    public void clearColumn()

### clearJoin

    public void clearJoin()

### enumerateColumn

    public java.util.Enumeration enumerateColumn()

### enumerateJoin

    public java.util.Enumeration enumerateJoin()

### equals

    public boolean equals(java.lang.Object obj)

  Note: hashCode() has not been overriden

  Parameters:
    `obj` -

### getColumn

    public Column getColumn(int index)
                     throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getColumn

    public Column[] getColumn()

### getColumnCollection

    public java.util.Collection getColumnCollection()

### getColumnCount

    public int getColumnCount()

### getJoin

    public Join getJoin(int index)
                 throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getJoin

    public Join[] getJoin()

### getJoinCollection

    public java.util.Collection getJoinCollection()

### getJoinCount

    public int getJoinCount()

### getKey

    public java.lang.String getKey()

  Returns the value of field 'key'.

  Returns:
    the value of field 'key'.

### getName

    public java.lang.String getName()

  Returns the value of field 'name'.

  Returns:
    the value of field 'name'.

### getVisable

    public java.lang.String getVisable()

  Returns the value of field 'visable'.

  Returns:
    the value of field 'visable'.

### isValid

    public boolean isValid()

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### marshal

    public void marshal(org.xml.sax.DocumentHandler handler)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### notifyPropertyChangeListeners

    protected void notifyPropertyChangeListeners(java.lang.String fieldName,
                                                 java.lang.Object oldValue,
                                                 java.lang.Object newValue)

  Notifies all registered PropertyChangeListeners when a bound property's value changes.

  Parameters:
    `fieldName` - the name of the property that has changed.
    `newValue` - the new value of the property.
    `oldValue` - the old value of the property.

### removeColumn

    public boolean removeColumn(Column vColumn)

  Parameters:
    `vColumn` -

### removeJoin

    public boolean removeJoin(Join vJoin)

  Parameters:
    `vJoin` -

### removePropertyChangeListener

    public boolean removePropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.

  Parameters:
    `pcl` - The PropertyChangeListener to remove.
  Returns:
    true if the given PropertyChangeListener was removed.

### setColumn

    public void setColumn(int index,
                          Column vColumn)
                   throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vColumn` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setColumn

    public void setColumn(Column[] columnArray)

  Parameters:
    `columnArray` -

### setColumnCollection

    public void setColumnCollection(java.util.Collection vColumn)

  Parameters:
    `vColumn` -

### setJoin

    public void setJoin(int index,
                        Join vJoin)
                 throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vJoin` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setJoin

    public void setJoin(Join[] joinArray)

  Parameters:
    `joinArray` -

### setJoinCollection

    public void setJoinCollection(java.util.Collection vJoin)

  Parameters:
    `vJoin` -

### setKey

    public void setKey(java.lang.String key)

  Sets the value of field 'key'.

  Parameters:
    `key` - the value of field 'key'.

### setName

    public void setName(java.lang.String name)

  Sets the value of field 'name'.

  Parameters:
    `name` - the value of field 'name'.

### setVisable

    public void setVisable(java.lang.String visable)

  Sets the value of field 'visable'.

  Parameters:
    `visable` - the value of field 'visable'.

### unmarshal

    public static Table unmarshal(java.io.Reader reader)
                           throws org.exolab.castor.xml.MarshalException,
                                  org.exolab.castor.xml.ValidationException

  Parameters:
    `reader` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.